Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Class EOMGListenerSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.omGraphics.event.EOMGListenerSupport

All Implemented Interfaces:
  java.io.Serializable

public class EOMGListenerSupport
extends ListenerSupport

This is a utility class that can be used by beans that need support for handling EOMGListeners and calling the EOMGListener method. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`EOMGListenerSupport()` Construct a EOMGListenerSupport.
`EOMGListenerSupport(EditableOMGraphic graphic)` Construct a EOMGListenerSupport.

Method Summary
`void` | `addEOMGListener(EOMGListener l)` Add a EOMGListener.
`void` | `fireEvent(EOMGEvent event)` Send a eomgChanged event to all registered listeners.
`EditableOMGraphic` | `getEOMG()` Get the source object.
`void` | `removeEOMGListener(EOMGListener l)` Remove a EOMGListener.
`void` | `setEOMG(EditableOMGraphic graphic)` Set the source object.

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EOMGListenerSupport

    public EOMGListenerSupport()

  Construct a EOMGListenerSupport.

### EOMGListenerSupport

    public EOMGListenerSupport(EditableOMGraphic graphic)

  Construct a EOMGListenerSupport.

Parameters:
  `graphic` - source graphic

Method Detail

### setEOMG

    public void setEOMG(EditableOMGraphic graphic)

  Set the source object.

  Parameters:
    `graphic` - source EditableOMGraphic

### getEOMG

    public EditableOMGraphic getEOMG()

  Get the source object.

  Returns:
    EditableOMGraphic

### addEOMGListener

    public void addEOMGListener(EOMGListener l)

  Add a EOMGListener.

  Parameters:
    `l` - EOMGListener

### removeEOMGListener

    public void removeEOMGListener(EOMGListener l)

  Remove a EOMGListener.

  Parameters:
    `l` - EOMGListener

### fireEvent

    public void fireEvent(EOMGEvent event)

  Send a eomgChanged event to all registered listeners.

  Parameters:
    `event` - EOMGEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details